Skip to main content
Version: 5.3

Updating Group Settings

POST /edit/serverclass/<group name>

Create a new group:

curl -k -XPOST https://<SBM_HOST>:7769/edit/serverclass/<group name>

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Body Input Parameters

NameTypeDescription
newnamestringGroup name
filtersarray stringFilters used to determine which Smart Beat instances match this group
excludesarray stringExclusions used to determine which Smart Beat instances do not match this group
appsarray stringArray of apps for Smart Beat in this group
systemsarray stringArray of operating systems for this group; if omitted, Smart Beat with any OS are accepted
binariesarray stringArray of binaries for Smart Beat in this group

Supported Errors

StatusError contentError description
400Server reloads nowServer is currently reloading data; retry in a few seconds
400A group named <group> already existsGroup name from request already exists
500<response write error>Internal Smart Beat Manager error

Examples

Example output parameters:

Success edit serverclass

PUT /edit/serverclass/<group name>

Update existing group settings:

curl -k -XPUT https://<SBM_HOST>:7769/edit/serverclass/<group name>

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Body Input Parameters

NameTypeDescription
newnamestringGroup name
filtersarray stringFilters used to determine which Smart Beat instances match this group
excludesarray stringExclusions used to determine which Smart Beat instances do not match this group
appsarray stringArray of apps for Smart Beat in this group
systemsarray stringArray of operating systems for this group; if omitted, Smart Beat with any OS are accepted
binariesarray stringArray of binaries for Smart Beat in this group

Supported Errors

StatusError contentError description
400Server reloads nowServer is currently reloading data; retry in a few seconds
400The group named <group> does not existGroup name from request does not exist
500<response write error>Internal Smart Beat Manager error
400A group named <group> already existGroup name from request already exists

Examples

Example output parameters:

Success edit serverclass

DELETE /edit/serverclass/<group name>

Delete a group:

curl -k -XDELETE https://<SBM_HOST>:7769/edit/serverclass/<group name>

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Supported Errors

StatusError contentError description
400Server reloads nowServer is currently reloading data; retry in a few seconds
400The group named <group> does not existGroup name from request does not exist
500<response write error>Internal Smart Beat Manager error

Examples

Example output parameters:

Success edit serverclass